[![Latest Release](https://gitlab.cern.ch/cta/CTA/-/badges/release.svg)](https://gitlab.cern.ch/cta/CTA/-/releases)
[![License](https://img.shields.io/badge/license-GPL--3.0-blue.svg)](COPYING)
[![Code Quality](https://sonarcloud.io/api/project_badges/measure?project=cern-cta_CTA&metric=alert_status)](https://sonarcloud.io/project/overview?id=cern-cta_CTA)
[![Last Commit](https://img.shields.io/gitlab/last-commit/cta%2FCTA?gitlab_url=https%3A%2F%2Fgitlab.cern.ch)](https://gitlab.cern.ch/cta/CTA/-/commits/main?ref_type=heads)

<br />
<div align="center">
  <a href="https://gitlab.cern.ch/cta/CTA/">
    <img src="assets/cta-logo.png" alt="Logo">
  </a>
<h3 align="center" style="padding-top: 0">CTA</h3>
  <p align="center">
    The CERN Tape Archive open source tape data management software.
    <br />
    <a href="https://eoscta.docs.cern.ch/"><strong>Explore the docs »</strong></a>
    <br />
    <br />
    <a href="https://eoscta.docs.cern.ch/latest/overview/getting_started/">Getting Started</a>
    ·
    <a href="https://cta.web.cern.ch/">CTA Website</a>
    ·
    <a href="https://cta-community.web.cern.ch/">Community Forum</a>
  </p>
</div>

___

## About CTA

The CERN Tape Archive (CTA) is the storage system for the custodial copy of all physics data at CERN. CTA was designed to cope with the huge storage and performance demands of [LHC Run-3](https://home.cern/press/2022/run-3) and beyond.

CTA is:

- The leading Free and Open Source tape data management software
- Home to all the experimental physics data at CERN
- Scalable, for small and large installations
- Self-hostable, on-premise

CTA is designed to operate on physical tape infrastructure and is used in combination with a disk buffer system such as [EOS](https://eos-web.web.cern.ch/eos-web/) or [dCache](https://www.dcache.org/). For development purposes it is also possible to run a containerized setup of the CTA components. For this, you can have a look at the [Development documentation](https://eoscta.docs.cern.ch/latest/dev/introduction/).

## License

> This program is free software, distributed under the terms of the GNU General Public Licence version 3 (GPL Version 3), copied verbatim in the file [COPYING](COPYING). You can redistribute it and/or modify it under the terms of the GPL Version 3, or (at your option) any later version.
>
> This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
>
> In applying this licence, CERN does not waive the privileges and immunities granted to it by virtue of its status as an Intergovernmental Organization or submit itself to any jurisdiction.

___

<div align="center">
  <a href="https://home.cern/">
    <img src="assets/cern-logo.png" alt="CERN Logo" width="128" height="128">
  </a>
</div>
